# QListBoxPixmap Class Reference

The QListBoxPixmap class provides list box items with a pixmap. More...

`#include <qlistbox.h>`

Inherits QListBoxItem.

List of all member functions.

## Public Members

- QListBoxPixmap ( const QPixmap & )
- ~QListBoxPixmap ()
- virtual const QPixmap* pixmap () const

## Protected Members

- virtual void paint ( QPainter * )
- virtual int height ( const QListBox * ) const
- virtual int width ( const QListBox * ) const

## Detailed Description

The QListBoxPixmap class provides list box items with a pixmap.

See also: QListBox and QListBoxItem.

## Member Function Documentation

### QListBoxPixmap::QListBoxPixmap ( const QPixmap & pixmap )

Creates a new list box item showing the pixmap pixmap.

### QListBoxPixmap::~QListBoxPixmap ()

Destroys the item.

### int QListBoxPixmap::height ( const QListBox * ) const `[virtual protected]`

Returns the height of the pixmap.

See also: paint() and width().

Reimplemented from QListBoxItem.

### void QListBoxPixmap::paint ( QPainter * p ) `[virtual protected]`

Draws the pixmap using painter p.

Reimplemented from QListBoxItem.

### const QPixmap * QListBoxPixmap::pixmap () const `[virtual]`

Returns the pixmap connected with the item.

Reimplemented from QListBoxItem.

### int QListBoxPixmap::width ( const QListBox * ) const `[virtual protected]`

Returns the width of the pixmap.

See also: paint() and height().

Reimplemented from QListBoxItem.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qlistbox.h: 1998/08/21
- qlistbox.cpp: 1999/02/13